From c70175d8f8afa7708b0c6166d8ea3c367b9dea1d Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Sun, 9 Feb 2014 10:20:14 +0100
Subject: [PATCH] WIP kernel: Sync ACPICA with Intel's version 20140114.

---
 sys/contrib/dev/acpica/changes.txt                 |   76 ++
 sys/contrib/dev/acpica/generate/release/build.sh   |    2 +
 .../dev/acpica/generate/unix/acpiexamples/Makefile |  148 +++
 .../dev/acpica/generate/unix/acpiexec/Makefile     |    1 +
 sys/contrib/dev/acpica/source/common/acgetline.c   |    2 +-
 sys/contrib/dev/acpica/source/common/adfile.c      |    2 +-
 sys/contrib/dev/acpica/source/common/adisasm.c     |    2 +-
 sys/contrib/dev/acpica/source/common/adwalk.c      |    2 +-
 sys/contrib/dev/acpica/source/common/ahpredef.c    |    2 +-
 sys/contrib/dev/acpica/source/common/dmextern.c    |    2 +-
 sys/contrib/dev/acpica/source/common/dmrestag.c    |    2 +-
 sys/contrib/dev/acpica/source/common/dmtable.c     |    2 +-
 sys/contrib/dev/acpica/source/common/dmtbdump.c    |    2 +-
 sys/contrib/dev/acpica/source/common/dmtbinfo.c    |    2 +-
 sys/contrib/dev/acpica/source/common/getopt.c      |    2 +-
 .../dev/acpica/source/compiler/aslanalyze.c        |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslbtypes.c |    2 +-
 .../dev/acpica/source/compiler/aslcodegen.c        |    2 +-
 .../dev/acpica/source/compiler/aslcompile.c        |    2 +-
 .../dev/acpica/source/compiler/aslcompiler.h       |    2 +-
 .../dev/acpica/source/compiler/aslcompiler.l       |    2 +-
 .../dev/acpica/source/compiler/aslcompiler.y       |    2 +-
 sys/contrib/dev/acpica/source/compiler/asldefine.h |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslerror.c  |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslfileio.c |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslfiles.c  |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslfold.c   |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslglobal.h |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslhex.c    |    2 +-
 sys/contrib/dev/acpica/source/compiler/asllength.c |    2 +-
 .../dev/acpica/source/compiler/asllisting.c        |    2 +-
 .../dev/acpica/source/compiler/asllistsup.c        |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslload.c   |    2 +-
 sys/contrib/dev/acpica/source/compiler/asllookup.c |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslmain.c   |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslmap.c    |    2 +-
 .../dev/acpica/source/compiler/aslmessages.h       |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslmethod.c |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslnamesp.c |    2 +-
 sys/contrib/dev/acpica/source/compiler/asloffset.c |    2 +-
 .../dev/acpica/source/compiler/aslopcodes.c        |    2 +-
 .../dev/acpica/source/compiler/asloperands.c       |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslopt.c    |    4 +-
 .../dev/acpica/source/compiler/asloptions.c        |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslpredef.c |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslprepkg.c |    2 +-
 .../dev/acpica/source/compiler/aslresource.c       |    2 +-
 .../dev/acpica/source/compiler/aslrestype1.c       |    2 +-
 .../dev/acpica/source/compiler/aslrestype1i.c      |    2 +-
 .../dev/acpica/source/compiler/aslrestype2.c       |    2 +-
 .../dev/acpica/source/compiler/aslrestype2d.c      |    2 +-
 .../dev/acpica/source/compiler/aslrestype2e.c      |    2 +-
 .../dev/acpica/source/compiler/aslrestype2q.c      |    2 +-
 .../dev/acpica/source/compiler/aslrestype2s.c      |    2 +-
 .../dev/acpica/source/compiler/aslrestype2w.c      |    2 +-
 .../dev/acpica/source/compiler/aslstartup.c        |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslstubs.c  |    2 +-
 .../dev/acpica/source/compiler/aslsupport.l        |    2 +-
 .../dev/acpica/source/compiler/asltransform.c      |    2 +-
 sys/contrib/dev/acpica/source/compiler/asltree.c   |    2 +-
 sys/contrib/dev/acpica/source/compiler/asltypes.h  |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslutils.c  |    2 +-
 sys/contrib/dev/acpica/source/compiler/asluuid.c   |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslwalks.c  |    6 +-
 sys/contrib/dev/acpica/source/compiler/aslxref.c   |    2 +-
 sys/contrib/dev/acpica/source/compiler/dtcompile.c |    2 +-
 .../dev/acpica/source/compiler/dtcompiler.h        |    2 +-
 sys/contrib/dev/acpica/source/compiler/dtexpress.c |    2 +-
 sys/contrib/dev/acpica/source/compiler/dtfield.c   |    2 +-
 sys/contrib/dev/acpica/source/compiler/dtio.c      |    2 +-
 sys/contrib/dev/acpica/source/compiler/dtparser.l  |    2 +-
 sys/contrib/dev/acpica/source/compiler/dtparser.y  |    2 +-
 .../dev/acpica/source/compiler/dtsubtable.c        |    2 +-
 sys/contrib/dev/acpica/source/compiler/dttable.c   |    2 +-
 .../dev/acpica/source/compiler/dttemplate.c        |    2 +-
 .../dev/acpica/source/compiler/dttemplate.h        |    2 +-
 sys/contrib/dev/acpica/source/compiler/dtutils.c   |    2 +-
 .../dev/acpica/source/compiler/preprocess.h        |    2 +-
 sys/contrib/dev/acpica/source/compiler/prexpress.c |    2 +-
 sys/contrib/dev/acpica/source/compiler/prmacros.c  |    2 +-
 sys/contrib/dev/acpica/source/compiler/prparser.l  |    2 +-
 sys/contrib/dev/acpica/source/compiler/prparser.y  |    2 +-
 sys/contrib/dev/acpica/source/compiler/prscan.c    |    2 +-
 sys/contrib/dev/acpica/source/compiler/prutils.c   |    2 +-
 .../dev/acpica/source/components/debugger/dbcmds.c |    2 +-
 .../acpica/source/components/debugger/dbconvert.c  |    2 +-
 .../acpica/source/components/debugger/dbdisply.c   |    2 +-
 .../dev/acpica/source/components/debugger/dbexec.c |    2 +-
 .../acpica/source/components/debugger/dbfileio.c   |   13 +-
 .../acpica/source/components/debugger/dbhistry.c   |    2 +-
 .../acpica/source/components/debugger/dbinput.c    |   24 +-
 .../acpica/source/components/debugger/dbmethod.c   |  203 +---
 .../acpica/source/components/debugger/dbnames.c    |    2 +-
 .../acpica/source/components/debugger/dbstats.c    |    4 +-
 .../dev/acpica/source/components/debugger/dbtest.c | 1137 ++++++++++++++++++++
 .../acpica/source/components/debugger/dbutils.c    |    2 +-
 .../acpica/source/components/debugger/dbxface.c    |    2 +-
 .../source/components/disassembler/dmbuffer.c      |    2 +-
 .../source/components/disassembler/dmdeferred.c    |    2 +-
 .../source/components/disassembler/dmnames.c       |    2 +-
 .../source/components/disassembler/dmobject.c      |    2 +-
 .../source/components/disassembler/dmopcode.c      |    2 +-
 .../source/components/disassembler/dmresrc.c       |    2 +-
 .../source/components/disassembler/dmresrcl.c      |    2 +-
 .../source/components/disassembler/dmresrcl2.c     |    2 +-
 .../source/components/disassembler/dmresrcs.c      |    2 +-
 .../source/components/disassembler/dmutils.c       |    2 +-
 .../acpica/source/components/disassembler/dmwalk.c |    2 +-
 .../acpica/source/components/dispatcher/dsargs.c   |    2 +-
 .../source/components/dispatcher/dscontrol.c       |    2 +-
 .../acpica/source/components/dispatcher/dsfield.c  |    2 +-
 .../acpica/source/components/dispatcher/dsinit.c   |    2 +-
 .../acpica/source/components/dispatcher/dsmethod.c |    2 +-
 .../acpica/source/components/dispatcher/dsmthdat.c |    2 +-
 .../acpica/source/components/dispatcher/dsobject.c |    2 +-
 .../acpica/source/components/dispatcher/dsopcode.c |    2 +-
 .../acpica/source/components/dispatcher/dsutils.c  |    2 +-
 .../acpica/source/components/dispatcher/dswexec.c  |    2 +-
 .../acpica/source/components/dispatcher/dswload.c  |    2 +-
 .../acpica/source/components/dispatcher/dswload2.c |    2 +-
 .../acpica/source/components/dispatcher/dswscope.c |    2 +-
 .../acpica/source/components/dispatcher/dswstate.c |    2 +-
 .../dev/acpica/source/components/events/evevent.c  |    2 +-
 .../dev/acpica/source/components/events/evglock.c  |    2 +-
 .../dev/acpica/source/components/events/evgpe.c    |    2 +-
 .../dev/acpica/source/components/events/evgpeblk.c |    2 +-
 .../acpica/source/components/events/evgpeinit.c    |    2 +-
 .../acpica/source/components/events/evgpeutil.c    |    2 +-
 .../acpica/source/components/events/evhandler.c    |    2 +-
 .../dev/acpica/source/components/events/evmisc.c   |    2 +-
 .../dev/acpica/source/components/events/evregion.c |    2 +-
 .../dev/acpica/source/components/events/evrgnini.c |    2 +-
 .../dev/acpica/source/components/events/evsci.c    |    2 +-
 .../dev/acpica/source/components/events/evxface.c  |    2 +-
 .../dev/acpica/source/components/events/evxfevnt.c |    2 +-
 .../dev/acpica/source/components/events/evxfgpe.c  |   24 +-
 .../dev/acpica/source/components/events/evxfregn.c |    2 +-
 .../acpica/source/components/executer/exconfig.c   |    2 +-
 .../acpica/source/components/executer/exconvrt.c   |    2 +-
 .../acpica/source/components/executer/excreate.c   |    2 +-
 .../acpica/source/components/executer/exdebug.c    |    2 +-
 .../dev/acpica/source/components/executer/exdump.c |    2 +-
 .../acpica/source/components/executer/exfield.c    |    2 +-
 .../acpica/source/components/executer/exfldio.c    |    2 +-
 .../dev/acpica/source/components/executer/exmisc.c |    2 +-
 .../acpica/source/components/executer/exmutex.c    |    2 +-
 .../acpica/source/components/executer/exnames.c    |    2 +-
 .../acpica/source/components/executer/exoparg1.c   |    2 +-
 .../acpica/source/components/executer/exoparg2.c   |    2 +-
 .../acpica/source/components/executer/exoparg3.c   |    2 +-
 .../acpica/source/components/executer/exoparg6.c   |    2 +-
 .../dev/acpica/source/components/executer/exprep.c |    2 +-
 .../acpica/source/components/executer/exregion.c   |    2 +-
 .../acpica/source/components/executer/exresnte.c   |    2 +-
 .../acpica/source/components/executer/exresolv.c   |    2 +-
 .../acpica/source/components/executer/exresop.c    |    2 +-
 .../acpica/source/components/executer/exstore.c    |    2 +-
 .../acpica/source/components/executer/exstoren.c   |    2 +-
 .../acpica/source/components/executer/exstorob.c   |    2 +-
 .../acpica/source/components/executer/exsystem.c   |    2 +-
 .../acpica/source/components/executer/exutils.c    |    2 +-
 .../dev/acpica/source/components/hardware/hwacpi.c |    2 +-
 .../acpica/source/components/hardware/hwesleep.c   |    2 +-
 .../dev/acpica/source/components/hardware/hwgpe.c  |    2 +-
 .../dev/acpica/source/components/hardware/hwpci.c  |    2 +-
 .../dev/acpica/source/components/hardware/hwregs.c |    2 +-
 .../acpica/source/components/hardware/hwsleep.c    |    2 +-
 .../acpica/source/components/hardware/hwtimer.c    |    2 +-
 .../acpica/source/components/hardware/hwvalid.c    |    2 +-
 .../acpica/source/components/hardware/hwxface.c    |    2 +-
 .../acpica/source/components/hardware/hwxfsleep.c  |    2 +-
 .../acpica/source/components/namespace/nsaccess.c  |    2 +-
 .../acpica/source/components/namespace/nsalloc.c   |    2 +-
 .../source/components/namespace/nsarguments.c      |    2 +-
 .../acpica/source/components/namespace/nsconvert.c |    2 +-
 .../acpica/source/components/namespace/nsdump.c    |    2 +-
 .../acpica/source/components/namespace/nsdumpdv.c  |    2 +-
 .../acpica/source/components/namespace/nseval.c    |    2 +-
 .../acpica/source/components/namespace/nsinit.c    |    2 +-
 .../acpica/source/components/namespace/nsload.c    |    2 +-
 .../acpica/source/components/namespace/nsnames.c   |    2 +-
 .../acpica/source/components/namespace/nsobject.c  |    2 +-
 .../acpica/source/components/namespace/nsparse.c   |    2 +-
 .../acpica/source/components/namespace/nspredef.c  |    2 +-
 .../acpica/source/components/namespace/nsprepkg.c  |    2 +-
 .../acpica/source/components/namespace/nsrepair.c  |    2 +-
 .../acpica/source/components/namespace/nsrepair2.c |    2 +-
 .../acpica/source/components/namespace/nssearch.c  |    2 +-
 .../acpica/source/components/namespace/nsutils.c   |    2 +-
 .../acpica/source/components/namespace/nswalk.c    |    2 +-
 .../acpica/source/components/namespace/nsxfeval.c  |    2 +-
 .../acpica/source/components/namespace/nsxfname.c  |    2 +-
 .../acpica/source/components/namespace/nsxfobj.c   |    2 +-
 .../dev/acpica/source/components/parser/psargs.c   |    2 +-
 .../dev/acpica/source/components/parser/psloop.c   |    2 +-
 .../dev/acpica/source/components/parser/psobject.c |    2 +-
 .../dev/acpica/source/components/parser/psopcode.c |    2 +-
 .../dev/acpica/source/components/parser/psopinfo.c |    2 +-
 .../dev/acpica/source/components/parser/psparse.c  |    2 +-
 .../dev/acpica/source/components/parser/psscope.c  |    2 +-
 .../dev/acpica/source/components/parser/pstree.c   |    2 +-
 .../dev/acpica/source/components/parser/psutils.c  |    2 +-
 .../dev/acpica/source/components/parser/pswalk.c   |    2 +-
 .../dev/acpica/source/components/parser/psxface.c  |    2 +-
 .../acpica/source/components/resources/rsaddr.c    |    2 +-
 .../acpica/source/components/resources/rscalc.c    |    2 +-
 .../acpica/source/components/resources/rscreate.c  |    2 +-
 .../acpica/source/components/resources/rsdump.c    |    2 +-
 .../source/components/resources/rsdumpinfo.c       |    2 +-
 .../acpica/source/components/resources/rsinfo.c    |    2 +-
 .../dev/acpica/source/components/resources/rsio.c  |    2 +-
 .../dev/acpica/source/components/resources/rsirq.c |    2 +-
 .../acpica/source/components/resources/rslist.c    |    2 +-
 .../acpica/source/components/resources/rsmemory.c  |    2 +-
 .../acpica/source/components/resources/rsmisc.c    |    2 +-
 .../acpica/source/components/resources/rsserial.c  |    2 +-
 .../acpica/source/components/resources/rsutils.c   |    2 +-
 .../acpica/source/components/resources/rsxface.c   |    2 +-
 .../dev/acpica/source/components/tables/tbfadt.c   |    2 +-
 .../dev/acpica/source/components/tables/tbfind.c   |    2 +-
 .../dev/acpica/source/components/tables/tbinstal.c |   15 +-
 .../dev/acpica/source/components/tables/tbprint.c  |   21 +-
 .../dev/acpica/source/components/tables/tbutils.c  |    2 +-
 .../dev/acpica/source/components/tables/tbxface.c  |    2 +-
 .../dev/acpica/source/components/tables/tbxfload.c |    2 +-
 .../dev/acpica/source/components/tables/tbxfroot.c |    2 +-
 .../acpica/source/components/utilities/utaddress.c |    2 +-
 .../acpica/source/components/utilities/utalloc.c   |    2 +-
 .../acpica/source/components/utilities/utbuffer.c  |    2 +-
 .../acpica/source/components/utilities/utcache.c   |    2 +-
 .../acpica/source/components/utilities/utclib.c    |    2 +-
 .../acpica/source/components/utilities/utcopy.c    |    8 +-
 .../acpica/source/components/utilities/utdebug.c   |    2 +-
 .../acpica/source/components/utilities/utdecode.c  |    2 +-
 .../acpica/source/components/utilities/utdelete.c  |    2 +-
 .../acpica/source/components/utilities/uterror.c   |    2 +-
 .../acpica/source/components/utilities/uteval.c    |    2 +-
 .../acpica/source/components/utilities/utexcep.c   |    2 +-
 .../acpica/source/components/utilities/utglobal.c  |    2 +-
 .../dev/acpica/source/components/utilities/utids.c |    2 +-
 .../acpica/source/components/utilities/utinit.c    |    2 +-
 .../acpica/source/components/utilities/utlock.c    |    2 +-
 .../acpica/source/components/utilities/utmath.c    |    2 +-
 .../acpica/source/components/utilities/utmisc.c    |    2 +-
 .../acpica/source/components/utilities/utmutex.c   |    2 +-
 .../acpica/source/components/utilities/utobject.c  |    2 +-
 .../dev/acpica/source/components/utilities/utosi.c |    2 +-
 .../acpica/source/components/utilities/utownerid.c |    2 +-
 .../acpica/source/components/utilities/utpredef.c  |    2 +-
 .../acpica/source/components/utilities/utresrc.c   |    4 +-
 .../acpica/source/components/utilities/utstate.c   |    2 +-
 .../acpica/source/components/utilities/utstring.c  |    2 +-
 .../acpica/source/components/utilities/uttrack.c   |    5 +-
 .../acpica/source/components/utilities/utxface.c   |    2 +-
 .../acpica/source/components/utilities/utxferror.c |    2 +-
 .../acpica/source/components/utilities/utxfinit.c  |    2 +-
 .../acpica/source/components/utilities/utxfmutex.c |    2 +-
 sys/contrib/dev/acpica/source/include/acapps.h     |    4 +-
 sys/contrib/dev/acpica/source/include/acbuffer.h   |    2 +-
 sys/contrib/dev/acpica/source/include/accommon.h   |    2 +-
 sys/contrib/dev/acpica/source/include/acconfig.h   |    2 +-
 sys/contrib/dev/acpica/source/include/acdebug.h    |    7 +-
 sys/contrib/dev/acpica/source/include/acdisasm.h   |    2 +-
 sys/contrib/dev/acpica/source/include/acdispat.h   |    2 +-
 sys/contrib/dev/acpica/source/include/acevents.h   |    2 +-
 sys/contrib/dev/acpica/source/include/acexcep.h    |    2 +-
 sys/contrib/dev/acpica/source/include/acglobal.h   |    2 +-
 sys/contrib/dev/acpica/source/include/achware.h    |    2 +-
 sys/contrib/dev/acpica/source/include/acinterp.h   |    2 +-
 sys/contrib/dev/acpica/source/include/aclocal.h    |    2 +-
 sys/contrib/dev/acpica/source/include/acmacros.h   |   16 +-
 sys/contrib/dev/acpica/source/include/acnames.h    |    2 +-
 sys/contrib/dev/acpica/source/include/acnamesp.h   |    2 +-
 sys/contrib/dev/acpica/source/include/acobject.h   |    2 +-
 sys/contrib/dev/acpica/source/include/acopcode.h   |    2 +-
 sys/contrib/dev/acpica/source/include/acoutput.h   |    2 +-
 sys/contrib/dev/acpica/source/include/acparser.h   |    2 +-
 sys/contrib/dev/acpica/source/include/acpi.h       |    5 +-
 sys/contrib/dev/acpica/source/include/acpiosxf.h   |    2 +-
 sys/contrib/dev/acpica/source/include/acpixf.h     |    4 +-
 sys/contrib/dev/acpica/source/include/acpredef.h   |    2 +-
 sys/contrib/dev/acpica/source/include/acresrc.h    |    2 +-
 sys/contrib/dev/acpica/source/include/acrestyp.h   |    2 +-
 sys/contrib/dev/acpica/source/include/acstruct.h   |    2 +-
 sys/contrib/dev/acpica/source/include/actables.h   |    2 +-
 sys/contrib/dev/acpica/source/include/actbl.h      |    2 +-
 sys/contrib/dev/acpica/source/include/actbl1.h     |    2 +-
 sys/contrib/dev/acpica/source/include/actbl2.h     |    2 +-
 sys/contrib/dev/acpica/source/include/actbl3.h     |    2 +-
 sys/contrib/dev/acpica/source/include/actypes.h    |    2 +-
 sys/contrib/dev/acpica/source/include/acutils.h    |    4 +-
 sys/contrib/dev/acpica/source/include/amlcode.h    |    2 +-
 sys/contrib/dev/acpica/source/include/amlresrc.h   |    2 +-
 .../dev/acpica/source/include/platform/accygwin.h  |    2 +-
 .../dev/acpica/source/include/platform/acefi.h     |    2 +-
 .../dev/acpica/source/include/platform/acenv.h     |    2 +-
 .../dev/acpica/source/include/platform/acfreebsd.h |    2 +-
 .../dev/acpica/source/include/platform/acgcc.h     |    2 +-
 .../dev/acpica/source/include/platform/achaiku.h   |    2 +-
 .../dev/acpica/source/include/platform/acintel.h   |    2 +-
 .../dev/acpica/source/include/platform/aclinux.h   |    7 +-
 .../dev/acpica/source/include/platform/acmacosx.h  |    2 +-
 .../dev/acpica/source/include/platform/acmsvc.h    |    2 +-
 .../dev/acpica/source/include/platform/acnetbsd.h  |    2 +-
 .../dev/acpica/source/include/platform/acos2.h     |    2 +-
 .../dev/acpica/source/include/platform/acwin.h     |    2 +-
 .../dev/acpica/source/include/platform/acwin64.h   |    2 +-
 .../os_specific/service_layers/osfreebsdtbl.c      |    2 +-
 .../source/os_specific/service_layers/oslinuxtbl.c |    6 +-
 .../source/os_specific/service_layers/osunixdir.c  |    2 +-
 .../source/os_specific/service_layers/osunixmap.c  |    2 +-
 .../source/os_specific/service_layers/osunixxf.c   |    2 +-
 .../source/os_specific/service_layers/oswindir.c   |    2 +-
 .../source/os_specific/service_layers/oswintbl.c   |    2 +-
 .../source/os_specific/service_layers/oswinxf.c    |    2 +-
 .../dev/acpica/source/tools/acpibin/abcompare.c    |    2 +-
 .../dev/acpica/source/tools/acpibin/abmain.c       |    2 +-
 .../dev/acpica/source/tools/acpibin/acpibin.h      |    2 +-
 .../dev/acpica/source/tools/acpidump/acpidump.h    |    6 +-
 .../dev/acpica/source/tools/acpidump/apdump.c      |    8 +-
 .../dev/acpica/source/tools/acpidump/apfiles.c     |    4 +-
 .../dev/acpica/source/tools/acpidump/apmain.c      |    2 +-
 .../dev/acpica/source/tools/acpiexec/aecommon.h    |    3 +-
 .../dev/acpica/source/tools/acpiexec/aeexec.c      |   40 +-
 .../dev/acpica/source/tools/acpiexec/aehandlers.c  |  145 ++-
 .../dev/acpica/source/tools/acpiexec/aemain.c      |   12 +-
 .../dev/acpica/source/tools/acpiexec/aetables.c    |  237 ++--
 .../dev/acpica/source/tools/acpiexec/aetables.h    |   13 +-
 .../dev/acpica/source/tools/acpihelp/acpihelp.h    |    2 +-
 .../dev/acpica/source/tools/acpihelp/ahamlops.c    |    2 +-
 .../dev/acpica/source/tools/acpihelp/ahaslkey.c    |    2 +-
 .../dev/acpica/source/tools/acpihelp/ahaslops.c    |    2 +-
 .../dev/acpica/source/tools/acpihelp/ahdecode.c    |    2 +-
 .../dev/acpica/source/tools/acpihelp/ahmain.c      |    2 +-
 .../dev/acpica/source/tools/acpinames/acpinames.h  |    2 +-
 .../dev/acpica/source/tools/acpinames/anmain.c     |    2 +-
 .../dev/acpica/source/tools/acpinames/anstubs.c    |    2 +-
 .../dev/acpica/source/tools/acpinames/antables.c   |    2 +-
 .../dev/acpica/source/tools/acpisrc/acpisrc.h      |   11 +-
 .../dev/acpica/source/tools/acpisrc/ascase.c       |    2 +-
 .../dev/acpica/source/tools/acpisrc/asconvrt.c     |    2 +-
 .../dev/acpica/source/tools/acpisrc/asfile.c       |   13 +-
 .../dev/acpica/source/tools/acpisrc/asmain.c       |   12 +-
 .../dev/acpica/source/tools/acpisrc/asremove.c     |    2 +-
 .../dev/acpica/source/tools/acpisrc/astable.c      |   71 +-
 .../dev/acpica/source/tools/acpisrc/asutils.c      |    2 +-
 .../acpica/source/tools/acpixtract/acpixtract.c    |    2 +-
 .../dev/acpica/source/tools/acpixtract/axmain.c    |    2 +-
 .../dev/acpica/source/tools/examples/examples.c    |    2 +-
 .../dev/acpica/source/tools/examples/examples.h    |    2 +-
 .../dev/acpica/source/tools/examples/exstubs.c     |    2 +-
 .../dev/acpica/source/tools/examples/extables.c    |    2 +-
 sys/contrib/dev/acpica/tests/misc/grammar.asl      |    2 +-
 usr.sbin/acpi/acpiexec/Makefile                    |    1 +
 354 files changed, 2226 insertions(+), 728 deletions(-)
 create mode 100644 sys/contrib/dev/acpica/generate/unix/acpiexamples/Makefile
 create mode 100644 sys/contrib/dev/acpica/source/components/debugger/dbtest.c

diff --git a/sys/contrib/dev/acpica/generate/release/build.sh b/sys/contrib/dev/acpica/generate/release/build.sh
index 7ed3f27..a306408 100644
--- a/sys/contrib/dev/acpica/generate/release/build.sh
+++ b/sys/contrib/dev/acpica/generate/release/build.sh
@@ -214,6 +214,7 @@ generate_source_package ()
 	mkdir $TEMP_DIR/generate/unix
 	mkdir $TEMP_DIR/generate/unix/acpibin
 	mkdir $TEMP_DIR/generate/unix/acpidump
+	mkdir $TEMP_DIR/generate/unix/acpiexamples
 	mkdir $TEMP_DIR/generate/unix/acpiexec
 	mkdir $TEMP_DIR/generate/unix/acpihelp
 	mkdir $TEMP_DIR/generate/unix/acpinames
@@ -260,6 +261,7 @@ generate_source_package ()
 	cp generate/unix/Makefile*              $TEMP_DIR/generate/unix
 	cp generate/unix/acpibin/Makefile       $TEMP_DIR/generate/unix/acpibin
 	cp generate/unix/acpidump/Makefile      $TEMP_DIR/generate/unix/acpidump
+	cp generate/unix/acpiexamples/Makefile  $TEMP_DIR/generate/unix/acpiexamples
 	cp generate/unix/acpiexec/Makefile      $TEMP_DIR/generate/unix/acpiexec
 	cp generate/unix/acpihelp/Makefile      $TEMP_DIR/generate/unix/acpihelp
 	cp generate/unix/acpinames/Makefile     $TEMP_DIR/generate/unix/acpinames
diff --git a/sys/contrib/dev/acpica/generate/unix/acpiexamples/Makefile b/sys/contrib/dev/acpica/generate/unix/acpiexamples/Makefile
new file mode 100644
index 0000000..5f0b3b6
--- /dev/null
+++ b/sys/contrib/dev/acpica/generate/unix/acpiexamples/Makefile
@@ -0,0 +1,148 @@
+#
+# acpiexamples - Example ACPICA initialization code and control
+# method execution.
+#
+
+#
+# Note: This makefile is intended to be used from within the native
+# ACPICA directory structure, from under generate/unix. It specifically
+# places all object files in a generate/unix subdirectory, not within
+# the various ACPICA source directories. This prevents collisions
+# between different compilations of the same source file with different
+# compile options, and prevents pollution of the source code.
+#
+include ../Makefile.config
+FINAL_PROG = ../$(BINDIR)/acpiexamples
+PROG = $(OBJDIR)/acpiexamples
+
+#
+# Search paths for source files
+#
+vpath %.c \
+    $(ACPIEXAMPLES)\
+    $(ACPICA_DEBUGGER)\
+    $(ACPICA_DISPATCHER)\
+    $(ACPICA_EXECUTER)\
+    $(ACPICA_NAMESPACE)\
+    $(ACPICA_PARSER)\
+    $(ACPICA_TABLES)\
+    $(ACPICA_UTILITIES)\
+    $(ACPICA_COMMON)\
+    $(ACPICA_OSL)
+
+HEADERS = \
+    $(wildcard $(ACPIEXAMPLES)/*.h)
+
+OBJECTS = \
+	$(OBJDIR)/examples.o\
+	$(OBJDIR)/exstubs.o\
+	$(OBJDIR)/extables.o\
+	$(OBJDIR)/dsargs.o\
+	$(OBJDIR)/dscontrol.o\
+	$(OBJDIR)/dsfield.o\
+	$(OBJDIR)/dsinit.o\
+	$(OBJDIR)/dsmethod.o\
+	$(OBJDIR)/dsmthdat.o\
+	$(OBJDIR)/dsobject.o\
+	$(OBJDIR)/dsopcode.o\
+	$(OBJDIR)/dsutils.o\
+	$(OBJDIR)/dswexec.o\
+	$(OBJDIR)/dswload.o\
+	$(OBJDIR)/dswload2.o\
+	$(OBJDIR)/dswscope.o\
+	$(OBJDIR)/dswstate.o\
+	$(OBJDIR)/exconfig.o\
+	$(OBJDIR)/exconvrt.o\
+	$(OBJDIR)/excreate.o\
+	$(OBJDIR)/exdebug.o\
+	$(OBJDIR)/exdump.o\
+	$(OBJDIR)/exfield.o\
+	$(OBJDIR)/exfldio.o\
+	$(OBJDIR)/exmisc.o\
+	$(OBJDIR)/exmutex.o\
+	$(OBJDIR)/exnames.o\
+	$(OBJDIR)/exoparg1.o\
+	$(OBJDIR)/exoparg2.o\
+	$(OBJDIR)/exoparg3.o\
+	$(OBJDIR)/exoparg6.o\
+	$(OBJDIR)/exprep.o\
+	$(OBJDIR)/exregion.o\
+	$(OBJDIR)/exresnte.o\
+	$(OBJDIR)/exresolv.o\
+	$(OBJDIR)/exresop.o\
+	$(OBJDIR)/exstore.o\
+	$(OBJDIR)/exstoren.o\
+	$(OBJDIR)/exstorob.o\
+	$(OBJDIR)/exsystem.o\
+	$(OBJDIR)/exutils.o\
+	$(OBJDIR)/nsaccess.o\
+	$(OBJDIR)/nsalloc.o\
+	$(OBJDIR)/nsconvert.o\
+	$(OBJDIR)/nsdump.o\
+	$(OBJDIR)/nseval.o\
+	$(OBJDIR)/nsinit.o\
+	$(OBJDIR)/nsload.o\
+	$(OBJDIR)/nsnames.o\
+	$(OBJDIR)/nsobject.o\
+	$(OBJDIR)/nsparse.o\
+	$(OBJDIR)/nssearch.o\
+	$(OBJDIR)/nsutils.o\
+	$(OBJDIR)/nswalk.o\
+	$(OBJDIR)/nsxfeval.o\
+	$(OBJDIR)/nsxfname.o\
+	$(OBJDIR)/nsxfobj.o\
+	$(OBJDIR)/osunixxf.o\
+	$(OBJDIR)/psargs.o\
+	$(OBJDIR)/psloop.o\
+	$(OBJDIR)/psobject.o\
+	$(OBJDIR)/psopcode.o\
+	$(OBJDIR)/psopinfo.o\
+	$(OBJDIR)/psparse.o\
+	$(OBJDIR)/psscope.o\
+	$(OBJDIR)/pstree.o\
+	$(OBJDIR)/psutils.o\
+	$(OBJDIR)/pswalk.o\
+	$(OBJDIR)/psxface.o\
+	$(OBJDIR)/tbfadt.o\
+	$(OBJDIR)/tbfind.o\
+	$(OBJDIR)/tbinstal.o\
+	$(OBJDIR)/tbprint.o\
+	$(OBJDIR)/tbutils.o\
+	$(OBJDIR)/tbxface.o\
+	$(OBJDIR)/tbxfload.o\
+	$(OBJDIR)/tbxfroot.o\
+	$(OBJDIR)/utaddress.o\
+	$(OBJDIR)/utalloc.o\
+	$(OBJDIR)/utbuffer.o\
+	$(OBJDIR)/utcache.o\
+	$(OBJDIR)/utcopy.o\
+	$(OBJDIR)/utdebug.o\
+	$(OBJDIR)/utdecode.o\
+	$(OBJDIR)/utdelete.o\
+	$(OBJDIR)/uterror.o\
+	$(OBJDIR)/utexcep.o\
+	$(OBJDIR)/utglobal.o\
+	$(OBJDIR)/utlock.o\
+	$(OBJDIR)/utmath.o\
+	$(OBJDIR)/utmisc.o\
+	$(OBJDIR)/utmutex.o\
+	$(OBJDIR)/utobject.o\
+	$(OBJDIR)/utosi.o\
+	$(OBJDIR)/utownerid.o\
+	$(OBJDIR)/utstate.o\
+	$(OBJDIR)/utstring.o\
+	$(OBJDIR)/utxface.o\
+	$(OBJDIR)/utxferror.o\
+	$(OBJDIR)/utxfinit.o
+
+#
+# Flags specific to acpinames utility
+#
+CFLAGS += \
+    -DACPI_EXAMPLE_APP\
+    -I$(EXAMPLES)
+
+#
+# Common Rules
+#
+include ../Makefile.rules
diff --git a/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile b/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile
index 1625978..63fa77c 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile
@@ -54,6 +54,7 @@ OBJECTS = \
 	$(OBJDIR)/dbmethod.o\
 	$(OBJDIR)/dbnames.o\
 	$(OBJDIR)/dbstats.o\
+	$(OBJDIR)/dbtest.o\
 	$(OBJDIR)/dbutils.o\
 	$(OBJDIR)/dbxface.o\
 	$(OBJDIR)/dmbuffer.o\
diff --git a/sys/contrib/dev/acpica/source/common/acgetline.c b/sys/contrib/dev/acpica/source/common/acgetline.c
index ca9d7c3..c361c2a 100644
--- a/sys/contrib/dev/acpica/source/common/acgetline.c
+++ b/sys/contrib/dev/acpica/source/common/acgetline.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/common/adfile.c b/sys/contrib/dev/acpica/source/common/adfile.c
index 27271ee..91b35c5 100644
--- a/sys/contrib/dev/acpica/source/common/adfile.c
+++ b/sys/contrib/dev/acpica/source/common/adfile.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/common/adisasm.c b/sys/contrib/dev/acpica/source/common/adisasm.c
index 582761d..538efe4 100644
--- a/sys/contrib/dev/acpica/source/common/adisasm.c
+++ b/sys/contrib/dev/acpica/source/common/adisasm.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/common/adwalk.c b/sys/contrib/dev/acpica/source/common/adwalk.c
index 3aaae52..6bd6f50 100644
--- a/sys/contrib/dev/acpica/source/common/adwalk.c
+++ b/sys/contrib/dev/acpica/source/common/adwalk.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/common/ahpredef.c b/sys/contrib/dev/acpica/source/common/ahpredef.c
index 15cc27a..6653032 100644
--- a/sys/contrib/dev/acpica/source/common/ahpredef.c
+++ b/sys/contrib/dev/acpica/source/common/ahpredef.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/common/dmextern.c b/sys/contrib/dev/acpica/source/common/dmextern.c
index 13ed0e6..82b24d1 100644
--- a/sys/contrib/dev/acpica/source/common/dmextern.c
+++ b/sys/contrib/dev/acpica/source/common/dmextern.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/common/dmrestag.c b/sys/contrib/dev/acpica/source/common/dmrestag.c
index d4960ef..398691b 100644
--- a/sys/contrib/dev/acpica/source/common/dmrestag.c
+++ b/sys/contrib/dev/acpica/source/common/dmrestag.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
